For the complete documentation index, see llms.txt. This page is also available as Markdown.

DEX trades

What is this endpoint for?

Tick-level data is the most granular level of trading data and contains every single trade that occurs on decentralized exchanges. The data is normalized and timestamped and contains information such as the price and volume of each trade, the user address, the blockchain, the pool address, and the transaction hash related to the trade. Read our DEX trade data methodology here.

Endpoint

https://{region}.market-api.kaiko.io/v3/data/trades.v1/dexs/{blockchain}/{asset_address}

Path Parameters

Parameter
Required?
Description

region

Yes

Choose between eu and us.

blockchain

Yes

Blockchain name.

asset_address

Yes

Asset address on the specified blockchain.

Query Parameters

Parameter
Required
Description

start_time

No

Starting time in ISO 8601 (inclusive). Automatically included in continuation tokens.

end_time

No

Ending time in ISO 8601 (exclusive). Automatically included in continuation tokens.

page_size

No

See Pagination Automatically included in continuation tokens.

continuation_token

No

See Pagination

sort

No

Return the data in ascending (asc) or descending (desc) order. Default desc.

Fields

Field
Description

timestamp

The timestamp provided by the exchange or the collection timestamp in Unix Timestamp (in nanoseconds)

trade_id

Unique trade ID (unique to the exchange). In case the exchange does not provide an ID, we generate it ourselves.

price

Price displayed in quote currency.

token1_address

token2_address

amount

Quantity of asset bought or sold (can be in base_asset, quote_asset or the number of contracts).

taker_side_sell

See "taker_side_sell" Explained

blockchain

The blockchain on which the trade happened.

transaction_hash

Transaction hash.

log_index

The log index of the event (in base 10).

pool_address

The address of the pool in which the trade happened.

user_address

Trader address (beneficiary).

block_number

The block number.

Request examples

Response example

Last updated

Was this helpful?